Subject: Re: [BUG] git commit --trailer --verbose puts trailer below scissors line

From: Linus Arver <[email-masked]>
Date: Fri, 16 Feb 2024 14:34:48 -0800

Philippe Blain <[email-masked]> writes:

> Hello,
>
> I've just found a bug in the current master: running
>
> 	git commit --trailer="key: value" --verbose
>
> puts the trailer below the diff, and thus below the scissors
> line (and so it is discarded).
>
> I checked that it works OK in 2.42.1 but not in 2.43.2 so it is not
> a new regression in the 2.44 cycle, but I thought I'd write now in case
> someone spots the culprit commit faster than me.
>
> I'll start a bisection now.
>
> Cheers,
>
> Philippe.

Thank you for the bug report. Looking forward to reviewing it (I am also
interested because I am in the middle of a large cleanup of
trailer.{c,h} [1]).

[1] https://lore.kernel.org/git/[email-masked]/